
var CrashDlgController =
{

  execute: function()
  {
    var aRadioGroup = document.getElementById("raidiogroup_Actions");
    if (!window.arguments)   //We are not called by SessionStartup Service.
      {window.close(); return}
    var aDialogParam = window.arguments[0];

    aDialogParam.QueryInterface(Components.interfaces.nsIDialogParamBlock);
    switch (aRadioGroup.selectedIndex)
    {
      case 0:  //show session in SessionPage. we just copy the current sessionstore.js file.
           var aDirService = Components.classes['@mozilla.org/file/directory_service;1'].getService(Components.interfaces.nsIProperties);
           var aSessionStoreFile = aDirService.get("ProfD", Components.interfaces.nsILocalFile);
           aSessionStoreFile.append("sessionstore.js");
           SessionStoreManager.copySessionFile(aSessionStoreFile);
           if (!getPref("extensions.sessionpage.autostart",true))
             setPref("extensions.sessionpage.runonce",true);
           aDialogParam.SetInt(0,1);
           window.close();
           break;
      case 1:  //default behaviour, recover session. 
           aDialogParam.SetInt(0,0);
           window.close();
           break;
      case 2:  //canceled. firefox will start a new session;
           if (getPref("extensions.sessionpage.autostart",true))
             setPref("extensions.sessionpage.stoponce",true);
           aDialogParam.SetInt(0,1);
           window.close();
           break;   
     }
   }
}
