    function getPref(aBranch,aDefault) 
    {
      try {
    	var prefBranch = Components.classes["@mozilla.org/preferences-service;1"]
			.getService(Components.interfaces.nsIPrefBranch);
    
        switch (prefBranch.getPrefType(aBranch)) {
        case prefBranch.PREF_STRING:
          return prefBranch.getCharPref(aBranch);
        case prefBranch.PREF_BOOL:
          return prefBranch.getBoolPref(aBranch);
        case prefBranch.PREF_INT:
          return prefBranch.getIntPref(aBranch);
        default:
          return aDefault;
        }
      }
    catch(ex) {
      return aDefault;
    }
  }

  
      function setPref(aBranch,aValue) 
    {
      try {
        var prefBranch = Components.classes["@mozilla.org/preferences-service;1"].
                     getService(Components.interfaces.nsIPrefBranch);
    
        switch (typeof(aValue)) {
        case "string":
          prefBranch.setCharPref(aBranch,aValue);
        case "boolean":
          prefBranch.setBoolPref(aBranch,aValue);
        case "number":
          prefBranch.setIntPref(aBranch,aValue);
        case "object":          
          prefBranch.setCharPref(aBranch,aValue.toString());
        }
      }
    catch(ex) {
    }
  }
  