// Overlay Object.

var SessionPageOverlay = {
    
    _displaySessionPage: function()
    {
      var theTab = gBrowser.addTab("chrome://sessionpage/content/SessionPage.xul");
      gBrowser.selectedTab = theTab;    
    },  

    _showWhenSessionRestoreFinished: function()
    {
     gBrowser.addEventListener("SSTabRestored",
       function(evt) {
       	gBrowser.removeEventListener("SSTabRestored", arguments.callee, false);
       	SessionPageOverlay.showSessionPage();},
       false)
    
    },

	showSessionPage: function()
	{
       var SessionPageExists = false;
      for (var t = 0; t < gBrowser.browsers.length; t++) 
      {
    	if (gBrowser.browsers[t].currentURI.spec == "chrome://sessionpage/content/SessionPage.xul")
        {
          SessionPageExists = true;
          break;
        }  
      } 
      if (SessionPageExists) 
      {
        gBrowser.tabContainer.selectedIndex = t;
        return;
      }
      this._displaySessionPage();
	},
	
	startSessionPage: function()
	{
	//if force-restarted
	  if (getPref("sessionstore.resume_session_once", false)==true)
	  {
	    this._showWhenSessionRestoreFinished();
	    return;
	  }
      var startUpType = 0;
      startUpType = getPref("browser.startup.page",1);
      //if startup page is blank page, use it.
      if (startUpType == 0) //blank page
      {
        gBrowser.browsers[0].loadURI("chrome://sessionpage/content/SessionPage.xul");
        return;
      }
      if (startUpType == 1) //homepage
      {
        var homePage = getPref("browser.startup.homepage","");
        if (homePage == "chrome://sessionpage/content/SessionPage.xul") {return}
        else {this._displaySessionPage(); return;}
      }
      //else we are in sessionRestore mode.
      this._showWhenSessionRestoreFinished();
	},
}

  var windowMediator = Components.classes["@mozilla.org/appshell/window-mediator;1"].getService(Components.interfaces.nsIWindowMediator);  
  var aWindow = windowMediator.getMostRecentWindow("navigator:browser");
  
  if (!aWindow.opener)
  {
	  aWindow.addEventListener("close", function(evt) {
		  SessionStoreManager.savePages();
		  return true;
	    }, true);
	  if (getPref("extensions.sessionpage.stoponce", false))
	  {
	    setPref("extensions.sessionpage.stoponce",false);	  
	  }
	  else if (getPref("extensions.sessionpage.autostart", true)||
	      getPref("extensions.sessionpage.runonce",false))
	  {  
	    setPref("extensions.sessionpage.runonce",false);
	    aWindow.addEventListener("load", function(evt) {
	        aWindow.removeEventListener("load", arguments.callee, false);
	       // SessionStoreManager.init();
		    SessionPageOverlay.startSessionPage(); 
		    return true;
	      }, false);
	  }
  }